
<template>
  <!-- 添加公告信息 -->
  <div class="addWagonLoad">
    <PageTitle>返回</PageTitle>

    <div class="form-box" style="margin-right: 10rem">
      <dil-form :formId="369" v-model="form1" ref="from1"></dil-form>
    </div>

    <div class="button-box">
      <el-button @click="cancel">取消</el-button>
      <el-button type="primary" @click="makeSure">确定</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      form1: {},
      value: undefined,
    };
  },
  mounted() {},
  methods: {
    makeSure() {
      console.log(this.form1);
      let DilNotice = {
        noticeTitle:this.form1.noticeTitle,
        insertUsername:this.form1.insertUsername,
        noticeContent:this.form1.noticeContent,
        permissions:this.form1.permission,
        /*这里permissions拿的是描述也就是name值*/
      }
      this.axios
        .post(
          "/api/v1/ams/insertNotice",DilNotice
        )
        .then((res) => {
          this.$router.go(-1);
        });
    },
    // 取消
    cancel() {
      this.$router.go(-1);
    },
  },
};
</script>
<style lang='scss' scoped>
.form-box,
.from {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 5px;
  margin-bottom: 20px;
}
.button-box{
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: center;
  margin-top: 0.3125rem;
  margin-bottom: 1.25rem;
}
</style>
